
use <PCB.scad>;
use <Material.scad>;
use <../../WebWeaver/scad/Util.scad>;


$fs = 0.5;
$fa = 1.0;

$str = 3;
$E   = 0.001;  // ε

plexi = 3;

// c = case
c_sx = pcb_w() + 0;
c_sy = pcb_h() + 0;
c_sz = 20;
c_fs = 15;  // frontSpace = pcb to upper plexi



module frontPlexiOutline() {
  /* pcbScrewHoles()
    circle(d=M3()*2); */
  
  txy = sc_left_off()+M3();

  translate([-pcb_w()/2, -pcb_h()/2])
    mixedRoundRect(txy, txy, [0, pcb_edge_r(), 0, M3()]);
  
  translate([-pcb_w()/2, pcb_h()/2 - txy])
    mixedRoundRect(txy, txy, [pcb_edge_r(), 0, M3(), 0]);
  
  
}

module frontPlexi() {
  Plexiglass()
    linear_extrude(plexi, convexity=20)
      frontPlexiOutline();
}



// translate([0, 0, pcb_t()*3])
translate([0, 0, pcb_t()*3])
  frontPlexi();



module CyanStripeCase() {
  
}



CyanStripeCase();

if ($preview) {
  pcb3D();
}

